curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/classes/{classSourcedId}/academicSessions/{academicSessionSourcedId}/results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"results": [
{
"status": "active",
"lineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreStatus": "exempt",
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"class": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"score": 123,
"textScore": "<string>",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
]
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}To create a set of results for a specific academic session and specific class. The responding system must return the set of sourcedIds that have been allocated to the newly created result records. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Class or academic session not found.’
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/classes/{classSourcedId}/academicSessions/{academicSessionSourcedId}/results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"results": [
{
"status": "active",
"lineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreStatus": "exempt",
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"class": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"score": 123,
"textScore": "<string>",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
]
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the class
The sourcedId of the academic session
Show child attributes
Results successfully created
Show child attributes